PVE安装后要处理的几个问题(一)

登陆的时候提示没有有效的订阅You do not have a valid subscription for this server. Please visit www.proxmox.com to get a list of available options.

用的是免费版的,所以每次都提示这个没有有效的订阅挺烦的

image.png

解决方法:

修改文件nano /usr/share/javascript/proxmox-widget-toolkit/proxmoxlib.js

修改之前记得先备份一下

然后找到if (data.status !== 'Active') {

image.png

修改为if (false) {

image.png

然后保存,重启网页服务

 systemctl restart pveproxy

然后CTRL+F5强制刷新网页,或清理一下浏览器的缓存就好了!

修改 nano /etc/apt/sources.list.d/pve-enterprise.list

注释失效软件源

 # deb https://enterprise.proxmox.com/debian wheezy pve-enterprise


 

目前Proxmox中文社区源已正式提供镜像服务,镜像更新频率为每10小时,镜像站机房存放在法国巴黎online机房使用阿里云、华为云融合提供国内CDN加速服务。 地址 http://download.proxmox.wiki

# 删除企业源
rm -rf /etc/apt/sources.list.d/pve-enterprise.list
#下载秘钥
wget
http://download.proxmox.com/debian/proxmox-ve-release-6.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
# 添加社区源
echo "deb
http://download.proxmox.wiki/debian/pve stretch pve-no-subscription" >/etc/apt/sources.list.d/pve-install-repo.list

建议同时使用国内debian源

nano /etc/apt/sources.list

deb http://mirrors.aliyun.com/debian/ buster main non-free contrib
deb-src
http://mirrors.aliyun.com/debian/ buster main non-free contrib
deb
http://mirrors.aliyun.com/debian-security buster/updates main
deb-src
http://mirrors.aliyun.com/debian-security buster/updates main
deb
http://mirrors.aliyun.com/debian/ buster-updates main non-free contrib
deb-src
http://mirrors.aliyun.com/debian/ buster-updates main non-free contrib
deb
http://mirrors.aliyun.com/debian/ buster-backports main non-free contrib
deb-src
http://mirrors.aliyun.com/debian/ buster-backports main non-free contrib

最后执行

apt update
#apt update&&apt dist-upgrade #如需升级pve,则执行该命令

 

最后REBOOT重启虚拟机


添加回复:

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。